#!/bin/bash

# Be sure we are running under correct context
function check_context()
{
	/usr/sbin/selinuxenabled
	if [ "${?}" != "0" ]; then
		return
	fi

	if [ -r /proc/self/attr/current ]; then
		grep -q rocketgit_t /proc/self/attr/current
		if [ "${?}" != "0" ]; then
			echo "SELinux context is not rocketgit_t: `cat /proc/self/attr/current`!"
			exit 0
		fi
	fi
}

